PIDOF(1)

NOM
pidof - Afficher le PID d'un programme

SYNOPSIS
pidof [-s] [-c] [-q] [-w] [-x] [-o sans_pid[,sans_pid...]...] [-S separateur] programme [programme...]

DESCRIPTION
pidof cherche les identifiants de processus (PID) portant l'un des noms de programme indiqués. Il affiche ces numéros sur la sortie standard.

OPTIONS

-s  Un seul coup – pidof ne renverra qu'un seul pid.

-c  Ne renvoyer que les identifiants des processus qui sont exécutés dans le même répertoire racine. Cette option est ignorée pour les utilisateurs autres que le superutilisateur puisqu'ils ne peuvent pas vérifier le répertoire racine en cours des processus dont ils ne sont pas propriétaires.

-q  Quiet mode, suppress any output and only sets the exit status accordingly.

-w  Show also processes that do not have visible command line (e.g. kernel worker threads).

-x  Scripts également — pidof renverra également les PID des interpréteurs de commandes exécutant les scripts indiqués.

-o sans_pid
    Demander à pidof de ne pas tenir compte du PID indiqué. Le PID spécial %PPID peut décrire le processus parent du programme pidof, c'est-à-dire l’interpréteur de commandes ou le script appelant.

-S separateur
    Utiliser separateur comme séparateur des pid. Utilisé seulement lorsque plus d'un pid est affiché par le programme. L'option -d est un alias de cette option pour compatibilité avec le pidof de sysvinit.

CODES DE RETOUR

0   Au moins un programme a été trouvé avec le nom demandé.

1   Aucun programme trouvé avec le nom demandé.

BOGUES
Avec l'option -x, pidof a une méthode basique pour détecter les scripts et en manquera certains, par exemple ceux qui utilise env. Cette limitation est inhérente à la représentation des scripts du système de fichiers proc.

VOIR AUSSI
pgrep(1), pkill(1)

AUTEUR
Jaromir Capik <jcapik@redhat.com>